Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001980TestLinkUser Interface Generalpublic2009-01-15 03:222009-02-06 06:49
Reporterwferrarini1 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.4 
Fixed in Version1.8 RC 4 
Summary0001980: While attemtpting to upload an image to the server from the Edit Test Case form I get an invalid XML Response
DescriptionWhile attemtpting to upload an image to the server from the Edit Test Case form I get an invalid XML Response

See attached screen capture
Additional InformationServer:

2003 fully patched

Workstation

XP SP3 Fully patched

Browser This only happens on Mozilla Firefox as stated below
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.0.5
PHP Version5.x
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon testlinkerror.bmp [^] (1,533,126 bytes) 2009-01-15 03:22

- Relationships

-  Notes
(0005011)
fman (administrator)
2009-01-15 15:52

Are you trying to upload into a rich editor area?
if answer is yes => is not TL problem see in FCKeditor site
(0005039)
wferrarini1 (reporter)
2009-01-16 20:49

No I am not, this works fine using IE 7 just not Firefox.
(0005041)
fman (administrator)
2009-01-17 00:41

I've not mention Firefox, problem is problem with rich text editor is what I have understood ( your explanation is not clear)
(0005042)
wferrarini1 (reporter)
2009-01-17 00:48

I apologize if my description is not understandable :)

Steps to recreate defect

TestLink installed with xampp
Adding a test case
Click on insert image
Insert Image dialog is presented
Click on Browse Server
Message is displayed

I am using the default editor fckeditor supplied with testlink

If I use IE I can upload the images successfully without the invalid xml message being displayed.

I hope this helps clarify

I don't use rich text editors other than word so I would have never set one up with testlink unless there is something I don't understand!

Thanks!
(0005065)
fman (administrator)
2009-01-20 19:43

for rich text editor I mean FCKEditor of Tinimce.

Probelm is you FCKeditor configuration => go to FCKeditore site and get info to configure upload using PHP

Give a look to OUR forum also
(0005072)
fman (administrator)
2009-01-21 17:23

try this and let us know please
http://binnyva.blogspot.com/2007/01/enabling-image-uploading-in-fckeditor.html [^]
(0005107)
fman (administrator)
2009-01-26 00:10

user must configure following instructions

- Issue History
Date Modified Username Field Change
2009-01-15 03:22 wferrarini1 New Issue
2009-01-15 03:22 wferrarini1 File Added: testlinkerror.bmp
2009-01-15 03:22 wferrarini1 Browser => Firefox 3.0.5
2009-01-15 03:22 wferrarini1 PHP Version => 5.x
2009-01-15 15:52 fman Note Added: 0005011
2009-01-16 19:20 mhavlat Severity crash => minor
2009-01-16 19:20 mhavlat Status new => feedback
2009-01-16 19:20 mhavlat Category General => User Interface General
2009-01-16 20:49 wferrarini1 Note Added: 0005039
2009-01-17 00:41 fman Note Added: 0005041
2009-01-17 00:48 wferrarini1 Note Added: 0005042
2009-01-20 19:43 fman Note Added: 0005065
2009-01-21 17:23 fman Note Added: 0005072
2009-01-26 00:10 fman Status feedback => resolved
2009-01-26 00:10 fman Fixed in Version => next DEV - 1.8 RC 4
2009-01-26 00:10 fman Resolution open => fixed
2009-01-26 00:10 fman Assigned To => fman
2009-01-26 00:10 fman Note Added: 0005107
2009-02-06 06:49 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker